<?php
/**
 * 2013 - 2021 PayPlug SAS
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0).
 * It is available through the world-wide-web at this URL:
 * https://opensource.org/licenses/osl-3.0.php
 * If you are unable to obtain it through the world-wide-web, please send an email
 * to contact@payplug.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PayPlug module to newer
 * versions in the future.
 *
 *  @author    PayPlug SAS
 *  @copyright 2013 - 2021 PayPlug SAS
 *  @license   https://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PayPlug SAS
 */

class PayplugCardsModuleFrontController extends ModuleFrontController
{
    public function __construct()
    {
        $this->auth = true;
        parent::__construct();

        $this->context = Context::getContext();

        require_once($this->module->getLocalPath().'classes/PayplugBackward.php');
        require_once($this->module->getLocalPath().'payplug.php');
        require_once($this->module->getLocalPath().'lib/init.php');
    }

    /**
     * @see FrontController::initContent()
     */
    public function initContent()
    {
        $this->display_column_left = false;
        parent::initContent();

        if (Tools::getValue('process') == 'cardlist') {
            $this->renderCardList();
        }
    }

    public function renderCardList()
    {
        $payplug = Module::getInstanceByName('payplug');
        $payplug->initializeApi();

        if (version_compare(_PS_VERSION_, '1.5', '<')) {
            $context = $payplug->context;
        } else {
            $context = Context::getContext();
        }
        $payplug_card = new PayPlugCard();
        $payplug_cards = $payplug_card->getByCustomer($context->customer);
        $payplug_delete_card_url = PayplugBackward::getModuleLink('payplug', 'ajax', array('_ajax' => 1), true);

        if (version_compare(_PS_VERSION_, '1.6', '<')) {
            $version = 1.5;
        } elseif (version_compare(_PS_VERSION_, '1.6', '>=')) {
            $version = 1.6;
        }

        $this->context->smarty->assign(array(
            'payplug_cards' => $payplug_cards,
            'payplug_delete_card_url' => $payplug_delete_card_url,
            'version' => $version
        ));

        $this->setTemplate('cards_list.tpl');
    }
}
